### Enumeration

# Gdk InputSource

#### Declaration

    enum Gdk.InputSource

#### Description [src]

An enumeration describing the type of an input device in general terms.

#### Members

Name | Description
--- | ---
`GDK_SOURCE_MOUSE` | The device is a mouse. (This will be reported for the core pointer, even if it is something else, such as a trackball.).
`GDK_SOURCE_PEN` | The device is a stylus of a graphics tablet or similar device.
`GDK_SOURCE_KEYBOARD` | The device is a keyboard.
`GDK_SOURCE_TOUCHSCREEN` | The device is a direct-input touch device, such as a touchscreen or tablet.
`GDK_SOURCE_TOUCHPAD` | The device is an indirect touch device, such as a touchpad.
`GDK_SOURCE_TRACKPOINT` | The device is a trackpoint.
`GDK_SOURCE_TABLET_PAD` | The device is a “pad”, a collection of buttons, rings and strips found in drawing tablets.